See the top rated post in this thread. Click here

Results 1 to 6 of 6

Thread: Send objects (wipeouts) to back

  1. #1
    AUGI Addict .chad's Avatar
    Join Date
    2006-04
    Location
    is it lunch time yet?
    Posts
    1,129
    Login to Give a bone
    0

    Default Send objects (wipeouts) to back

    Not sure if this should go here or someplace else (depends on results I guess) but - I'm hoping someone can help me with a script / lisp / ? that will let me select all objects of a type, in this case wipeouts, and send them all to the back. Currently I can do this with quick select but doing it 100 times a day gets old. I tried to use the action recorder but it didn't save my input in the qselect box so it only saves me a half a step.

    I've tried it as a script but I just don't know enough about the commands themselves to figure out how to do that one

    What ever solution comes up it would need to work within the block editor since that's where 90% of the wipeouts are.

    Thanks!


  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,100
    Login to Give a bone
    1

    Default Re: Send objects (wipeouts) to back

    Will this work for you? You can rename the command name by changing the t1 to whatever name you want it to be.
    Code:
    (defun c:t1 ( / ss1 )(if (setq ss1 (ssget "X" '((0 . 
    "WIPEOUT"))))(command "_.draworder" ss1 "" "_Back")))
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    AUGI Addict .chad's Avatar
    Join Date
    2006-04
    Location
    is it lunch time yet?
    Posts
    1,129
    Login to Give a bone
    0

    Default Re: Send objects (wipeouts) to back

    That seems to do the trick. Thanks!

  4. #4
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Send objects (wipeouts) to back

    Here's some more complex code which works inside of blocks as well (i.e. if the wipeout is inside a block).

    The command is: BlockWipeouts2Bottom.

    I'll have to give credit to Lee Mac for his routines to change DrawOrder without using the command line - saved me some coding.

    Anyhow, there's some other commands as well. The most used over here is LayerstoTop: it basically then rearranges specified layers in order. See line 212 to change the list of layers (wildcards allowed) to have those you want at the very top 1st, then the next and so on.

    Edit: For some reason the attachment didn't work. Hope it works now!
    Attached Files Attached Files

  5. #5
    I could stop if I wanted to
    Join Date
    2009-03
    Location
    London, England
    Posts
    304
    Login to Give a bone
    0

    Default Re: Send objects (wipeouts) to back

    Thanks for the mention Irneb, I'm glad I could help in some way

    FYI, here are the latest versions:

    http://lee-mac.com/draworderfunctions.html

    Have a good weekend,

    Lee

  6. #6
    AUGI Addict .chad's Avatar
    Join Date
    2006-04
    Location
    is it lunch time yet?
    Posts
    1,129
    Login to Give a bone
    0

    Default Re: Send objects (wipeouts) to back

    Quote Originally Posted by irneb View Post
    Here's some more complex code which works inside of blocks as well (i.e. if the wipeout is inside a block).

    The command is: BlockWipeouts2Bottom.

    I'll have to give credit to Lee Mac for his routines to change DrawOrder without using the command line - saved me some coding.

    Anyhow, there's some other commands as well. The most used over here is LayerstoTop: it basically then rearranges specified layers in order. See line 212 to change the list of layers (wildcards allowed) to have those you want at the very top 1st, then the next and so on.

    Edit: For some reason the attachment didn't work. Hope it works now!
    oooh. that works without being in block editor! That's some hot stuff. Between the 2 lisps I think I'm good for a bit One of these days I'll learn how to write the things...

Similar Threads

  1. Filled Region and Send to Back
    By tsbykatherine60220 in forum Revit Structure - General
    Replies: 10
    Last Post: 2014-04-30, 03:01 PM
  2. Send to back command
    By Wish List System in forum Revit Architecture - Wish List
    Replies: 4
    Last Post: 2013-10-24, 02:49 AM
  3. 2010 Send to Back? Bug...
    By scowsert in forum Revit Architecture - General
    Replies: 4
    Last Post: 2009-05-12, 05:07 PM
  4. Multiple send to back
    By anthonyf in forum Revit - API
    Replies: 3
    Last Post: 2007-12-05, 08:55 AM
  5. Send to Back Hatching
    By mflure.80520 in forum ACA General
    Replies: 1
    Last Post: 2005-01-31, 06:00 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •